# swagger-client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v6
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import mindbody_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import mindbody_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import mindbody_api
from rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = AppointmentApi(ApiClient(configuration))
request = AddAppointmentRequest() # AddAppointmentRequest | 
site_id = 'site_id_example' # str | ID of the site from which to pull data.
version = 'version_example' # str | 
authorization = '' # str | A staff user authorization token. (optional) (default to )

try:
    # Book a new appointment.
    api_response = api_instance.appointment_add_apppointment(request, site_id, version, authorization=authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AppointmentApi->appointment_add_apppointment: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.mindbodyonline.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AppointmentApi* | [**appointment_add_apppointment**](docs/AppointmentApi.md#appointment_add_apppointment) | **POST** /public/v{version}/appointment/addappointment | Book a new appointment.
*AppointmentApi* | [**appointment_get_active_session_times**](docs/AppointmentApi.md#appointment_get_active_session_times) | **GET** /public/v{version}/appointment/activesessiontimes | Get active session times.
*AppointmentApi* | [**appointment_get_appointment_options**](docs/AppointmentApi.md#appointment_get_appointment_options) | **GET** /public/v{version}/appointment/appointmentoptions | Get appointment-related settings.
*AppointmentApi* | [**appointment_get_bookable_items**](docs/AppointmentApi.md#appointment_get_bookable_items) | **GET** /public/v{version}/appointment/bookableitems | Get staff appointment availability.
*AppointmentApi* | [**appointment_get_schedule_items**](docs/AppointmentApi.md#appointment_get_schedule_items) | **GET** /public/v{version}/appointment/scheduleitems | Get appointment schedule.
*AppointmentApi* | [**appointment_get_staff_appointments**](docs/AppointmentApi.md#appointment_get_staff_appointments) | **GET** /public/v{version}/appointment/staffappointments | Get appointments grouped by staff member.
*AppointmentApi* | [**appointment_update_apppointment**](docs/AppointmentApi.md#appointment_update_apppointment) | **POST** /public/v{version}/appointment/updateappointment | Update an existing appointment.
*ClassApi* | [**class_add_client_to_class**](docs/ClassApi.md#class_add_client_to_class) | **POST** /public/v{version}/class/addclienttoclass | Book a client into a class.
*ClassApi* | [**class_get_class_descriptions**](docs/ClassApi.md#class_get_class_descriptions) | **GET** /public/v{version}/class/classdescriptions | Get class descriptions.
*ClassApi* | [**class_get_class_schedules**](docs/ClassApi.md#class_get_class_schedules) | **GET** /public/v{version}/class/classschedules | Get class schedules.
*ClassApi* | [**class_get_class_visits**](docs/ClassApi.md#class_get_class_visits) | **GET** /public/v{version}/class/classvisits | Get information about clients booked in a class.
*ClassApi* | [**class_get_classes**](docs/ClassApi.md#class_get_classes) | **GET** /public/v{version}/class/classes | Get scheduled classes.
*ClassApi* | [**class_get_waitlist_entries**](docs/ClassApi.md#class_get_waitlist_entries) | **GET** /public/v{version}/class/waitlistentries | Get waiting list entries.
*ClassApi* | [**class_remove_client_from_class**](docs/ClassApi.md#class_remove_client_from_class) | **POST** /public/v{version}/class/removeclientfromclass | Remove a client from a class.
*ClassApi* | [**class_remove_from_waitlist**](docs/ClassApi.md#class_remove_from_waitlist) | **POST** /public/v{version}/class/removefromwaitlist | Remove a client from a waiting list.
*ClassApi* | [**class_substitute_class_teacher**](docs/ClassApi.md#class_substitute_class_teacher) | **POST** /public/v{version}/class/substituteclassteacher | Substitute a class teacher.
*ClientApi* | [**client_add_arrival**](docs/ClientApi.md#client_add_arrival) | **POST** /public/v{version}/client/addarrival | Add an arrival for a client.
*ClientApi* | [**client_add_client**](docs/ClientApi.md#client_add_client) | **POST** /public/v{version}/client/addclient | Add a client to a site.
*ClientApi* | [**client_add_contact_log**](docs/ClientApi.md#client_add_contact_log) | **POST** /public/v{version}/client/addcontactlog | Add a contact log to a client&#39;s account.
*ClientApi* | [**client_get_active_client_memberships**](docs/ClientApi.md#client_get_active_client_memberships) | **GET** /public/v{version}/client/activeclientmemberships | Get a client&#39;s active memberships.
*ClientApi* | [**client_get_client_account_balances**](docs/ClientApi.md#client_get_client_account_balances) | **GET** /public/v{version}/client/clientaccountbalances | Get account balance information for one or more client(s).
*ClientApi* | [**client_get_client_contracts**](docs/ClientApi.md#client_get_client_contracts) | **GET** /public/v{version}/client/clientcontracts | Get contracts that a client has purchased.
*ClientApi* | [**client_get_client_formula_notes**](docs/ClientApi.md#client_get_client_formula_notes) | **GET** /public/v{version}/client/clientformulanotes | Get a client&#39;s formula notes.
*ClientApi* | [**client_get_client_indexes**](docs/ClientApi.md#client_get_client_indexes) | **GET** /public/v{version}/client/clientindexes | Get a site&#39;s configured client indexes and client index values.
*ClientApi* | [**client_get_client_purchases**](docs/ClientApi.md#client_get_client_purchases) | **GET** /public/v{version}/client/clientpurchases | Get a client&#39;s purchase history.
*ClientApi* | [**client_get_client_referral_types**](docs/ClientApi.md#client_get_client_referral_types) | **GET** /public/v{version}/client/clientreferraltypes | Get a site&#39;s configured client referral types.
*ClientApi* | [**client_get_client_services**](docs/ClientApi.md#client_get_client_services) | **GET** /public/v{version}/client/clientservices | Get pricing options that a client has purchased.
*ClientApi* | [**client_get_client_visits**](docs/ClientApi.md#client_get_client_visits) | **GET** /public/v{version}/client/clientvisits | Get a client&#39;s visit history.
*ClientApi* | [**client_get_clients**](docs/ClientApi.md#client_get_clients) | **GET** /public/v{version}/client/clients | Get clients.
*ClientApi* | [**client_get_contact_logs**](docs/ClientApi.md#client_get_contact_logs) | **GET** /public/v{version}/client/contactlogs | Get contact logs on a client&#39;s account.
*ClientApi* | [**client_get_cross_regional_client_associations**](docs/ClientApi.md#client_get_cross_regional_client_associations) | **GET** /public/v{version}/client/crossregionalclientassociations | Get a client&#39;s cross regional site associations.
*ClientApi* | [**client_get_custom_client_fields**](docs/ClientApi.md#client_get_custom_client_fields) | **GET** /public/v{version}/client/customclientfields | Get a site&#39;s configured custom client fields.
*ClientApi* | [**client_get_required_client_fields**](docs/ClientApi.md#client_get_required_client_fields) | **GET** /public/v{version}/client/requiredclientfields | Get client required fields for a site.
*ClientApi* | [**client_send_password_reset_email**](docs/ClientApi.md#client_send_password_reset_email) | **POST** /public/v{version}/client/sendpasswordresetemail | Send a password reset email to a client.
*ClientApi* | [**client_update_client**](docs/ClientApi.md#client_update_client) | **POST** /public/v{version}/client/updateclient | Update a client at a site.
*ClientApi* | [**client_update_client_service**](docs/ClientApi.md#client_update_client_service) | **POST** /public/v{version}/client/updateclientservice | Update a client&#39;s purchase pricing option.
*ClientApi* | [**client_update_client_visit**](docs/ClientApi.md#client_update_client_visit) | **POST** /public/v{version}/client/updateclientvisit | Update a client&#39;s visit.
*ClientApi* | [**client_update_contact_log**](docs/ClientApi.md#client_update_contact_log) | **POST** /public/v{version}/client/updatecontactlog | Update a contact log on a client&#39;s account.
*ClientApi* | [**client_upload_client_document**](docs/ClientApi.md#client_upload_client_document) | **POST** /public/v{version}/client/uploadclientdocument | Upload a document to a client&#39;s profile.
*ClientApi* | [**client_upload_client_photo**](docs/ClientApi.md#client_upload_client_photo) | **POST** /public/v{version}/client/uploadclientphoto | Upload a profile photo to a client&#39;s profile.
*EnrollmentApi* | [**enrollment_add_client_to_enrollment**](docs/EnrollmentApi.md#enrollment_add_client_to_enrollment) | **POST** /public/v{version}/enrollment/addclienttoenrollment | Book a client into an enrollment.
*EnrollmentApi* | [**enrollment_get_enrollments**](docs/EnrollmentApi.md#enrollment_get_enrollments) | **GET** /public/v{version}/enrollment/enrollments | Get enrollments scheduled at a site.
*PayrollApi* | [**payroll_get_class_payroll**](docs/PayrollApi.md#payroll_get_class_payroll) | **GET** /public/v{version}/payroll/classes | Get class payroll for staff members.
*PayrollApi* | [**payroll_get_time_clock**](docs/PayrollApi.md#payroll_get_time_clock) | **GET** /public/v{version}/payroll/timeclock | Get time card payroll for staff members.
*SaleApi* | [**sale_checkout_shopping_cart**](docs/SaleApi.md#sale_checkout_shopping_cart) | **POST** /public/v{version}/sale/checkoutshoppingcart | Purchase pricing options, packages, retail products, or tips for a client.
*SaleApi* | [**sale_get_accepted_card_types**](docs/SaleApi.md#sale_get_accepted_card_types) | **GET** /public/v{version}/sale/acceptedcardtypes | Get credit cards types that a site accepts.
*SaleApi* | [**sale_get_contracts**](docs/SaleApi.md#sale_get_contracts) | **GET** /public/v{version}/sale/contracts | Get contracts available for purchase at a site.
*SaleApi* | [**sale_get_custom_payment_methods**](docs/SaleApi.md#sale_get_custom_payment_methods) | **GET** /public/v{version}/sale/custompaymentmethods | Get payment methods that can be used to pay for sales at a site.
*SaleApi* | [**sale_get_gift_cards**](docs/SaleApi.md#sale_get_gift_cards) | **GET** /public/v{version}/sale/giftcards | Get gift cards available for purchase at a site.
*SaleApi* | [**sale_get_packages**](docs/SaleApi.md#sale_get_packages) | **GET** /public/v{version}/sale/packages | Get packages available for purchase at a site.
*SaleApi* | [**sale_get_products**](docs/SaleApi.md#sale_get_products) | **GET** /public/v{version}/sale/products | Get retail products available for purchase at a site.
*SaleApi* | [**sale_get_sales**](docs/SaleApi.md#sale_get_sales) | **GET** /public/v{version}/sale/sales | Get sales completed at a site.
*SaleApi* | [**sale_get_services**](docs/SaleApi.md#sale_get_services) | **GET** /public/v{version}/sale/services | Get pricing options available for purchase at a site
*SaleApi* | [**sale_purchase_contract**](docs/SaleApi.md#sale_purchase_contract) | **POST** /public/v{version}/sale/purchasecontract | Purchase a contract for a client.
*SaleApi* | [**sale_purchase_gift_card**](docs/SaleApi.md#sale_purchase_gift_card) | **POST** /public/v{version}/sale/purchasegiftcard | Purchase a gift card for a client.
*SiteApi* | [**site_get_activation_code**](docs/SiteApi.md#site_get_activation_code) | **GET** /public/v{version}/site/activationcode | Get an activation code for a site.
*SiteApi* | [**site_get_locations**](docs/SiteApi.md#site_get_locations) | **GET** /public/v{version}/site/locations | Get locations for a site.
*SiteApi* | [**site_get_programs**](docs/SiteApi.md#site_get_programs) | **GET** /public/v{version}/site/programs | Get service categories offered at a site.
*SiteApi* | [**site_get_resources**](docs/SiteApi.md#site_get_resources) | **GET** /public/v{version}/site/resources | Get resources used at a site.
*SiteApi* | [**site_get_session_types**](docs/SiteApi.md#site_get_session_types) | **GET** /public/v{version}/site/sessiontypes | Get the session types used at a site.
*SiteApi* | [**site_get_sites**](docs/SiteApi.md#site_get_sites) | **GET** /public/v{version}/site/sites | Get all sites that can be accessed by an API Key.
*StaffApi* | [**staff_get_staff**](docs/StaffApi.md#staff_get_staff) | **GET** /public/v{version}/staff/staff | Get staff members at a site.
*StaffApi* | [**staff_get_staff_permissions**](docs/StaffApi.md#staff_get_staff_permissions) | **GET** /public/v{version}/staff/staffpermissions | Get configured staff permissions for a staff member.
*UserTokenApi* | [**user_token_issue**](docs/UserTokenApi.md#user_token_issue) | **POST** /public/v{version}/usertoken/issue | Get a staff user token.
*UserTokenApi* | [**user_token_revoke**](docs/UserTokenApi.md#user_token_revoke) | **DELETE** /public/v{version}/usertoken/revoke | Revoke a user token.


## Documentation For Models

 - [AddAppointmentRequest](docs/AddAppointmentRequest.md)
 - [AddAppointmentResponse](docs/AddAppointmentResponse.md)
 - [AddArrivalRequest](docs/AddArrivalRequest.md)
 - [AddArrivalResponse](docs/AddArrivalResponse.md)
 - [AddClientRequest](docs/AddClientRequest.md)
 - [AddClientResponse](docs/AddClientResponse.md)
 - [AddClientToClassRequest](docs/AddClientToClassRequest.md)
 - [AddClientToClassResponse](docs/AddClientToClassResponse.md)
 - [AddClientToClassVisit](docs/AddClientToClassVisit.md)
 - [AddClientToEnrollmentRequest](docs/AddClientToEnrollmentRequest.md)
 - [AddContactLogRequest](docs/AddContactLogRequest.md)
 - [AddContactLogType](docs/AddContactLogType.md)
 - [Amenity](docs/Amenity.md)
 - [Appointment](docs/Appointment.md)
 - [AppointmentOption](docs/AppointmentOption.md)
 - [AssignedClientIndex](docs/AssignedClientIndex.md)
 - [AutopaySchedule](docs/AutopaySchedule.md)
 - [Availability](docs/Availability.md)
 - [BookingWindow](docs/BookingWindow.md)
 - [CheckoutAppointmentBookingRequest](docs/CheckoutAppointmentBookingRequest.md)
 - [CheckoutItem](docs/CheckoutItem.md)
 - [CheckoutItemWrapper](docs/CheckoutItemWrapper.md)
 - [CheckoutPaymentInfo](docs/CheckoutPaymentInfo.md)
 - [CheckoutShoppingCartRequest](docs/CheckoutShoppingCartRequest.md)
 - [ClassDescription](docs/ClassDescription.md)
 - [ClassPayrollEvent](docs/ClassPayrollEvent.md)
 - [ClassSchedule](docs/ClassSchedule.md)
 - [Client](docs/Client.md)
 - [ClientContract](docs/ClientContract.md)
 - [ClientCreditCard](docs/ClientCreditCard.md)
 - [ClientDocument](docs/ClientDocument.md)
 - [ClientIndex](docs/ClientIndex.md)
 - [ClientIndexValue](docs/ClientIndexValue.md)
 - [ClientMembership](docs/ClientMembership.md)
 - [ClientPurchaseRecord](docs/ClientPurchaseRecord.md)
 - [ClientRelationship](docs/ClientRelationship.md)
 - [ClientService](docs/ClientService.md)
 - [Color](docs/Color.md)
 - [ContactLog](docs/ContactLog.md)
 - [ContactLogComment](docs/ContactLogComment.md)
 - [ContactLogSubType](docs/ContactLogSubType.md)
 - [ContactLogType](docs/ContactLogType.md)
 - [Contract](docs/Contract.md)
 - [ContractItem](docs/ContractItem.md)
 - [Course](docs/Course.md)
 - [CreditCardInfo](docs/CreditCardInfo.md)
 - [CrossRegionalClientAssociation](docs/CrossRegionalClientAssociation.md)
 - [CustomClientField](docs/CustomClientField.md)
 - [CustomClientFieldValue](docs/CustomClientFieldValue.md)
 - [CustomPaymentMethod](docs/CustomPaymentMethod.md)
 - [FormulaNote](docs/FormulaNote.md)
 - [GetActivationCodeResponse](docs/GetActivationCodeResponse.md)
 - [GetActiveClientMembershipsRequest](docs/GetActiveClientMembershipsRequest.md)
 - [GetActiveClientMembershipsResponse](docs/GetActiveClientMembershipsResponse.md)
 - [GetActiveSessionTimesRequest](docs/GetActiveSessionTimesRequest.md)
 - [GetActiveSessionTimesResponse](docs/GetActiveSessionTimesResponse.md)
 - [GetAppointmentOptionsResponse](docs/GetAppointmentOptionsResponse.md)
 - [GetBookableItemsRequest](docs/GetBookableItemsRequest.md)
 - [GetBookableItemsResponse](docs/GetBookableItemsResponse.md)
 - [GetClassDescriptionsRequest](docs/GetClassDescriptionsRequest.md)
 - [GetClassDescriptionsResponse](docs/GetClassDescriptionsResponse.md)
 - [GetClassPayrollRequest](docs/GetClassPayrollRequest.md)
 - [GetClassPayrollResponse](docs/GetClassPayrollResponse.md)
 - [GetClassSchedulesRequest](docs/GetClassSchedulesRequest.md)
 - [GetClassSchedulesResponse](docs/GetClassSchedulesResponse.md)
 - [GetClassVisitsRequest](docs/GetClassVisitsRequest.md)
 - [GetClassVisitsResponse](docs/GetClassVisitsResponse.md)
 - [GetClassesRequest](docs/GetClassesRequest.md)
 - [GetClassesResponse](docs/GetClassesResponse.md)
 - [GetClientAccountBalancesRequest](docs/GetClientAccountBalancesRequest.md)
 - [GetClientAccountBalancesResponse](docs/GetClientAccountBalancesResponse.md)
 - [GetClientContractsRequest](docs/GetClientContractsRequest.md)
 - [GetClientContractsResponse](docs/GetClientContractsResponse.md)
 - [GetClientFormulaNotesRequest](docs/GetClientFormulaNotesRequest.md)
 - [GetClientFormulaNotesResponse](docs/GetClientFormulaNotesResponse.md)
 - [GetClientIndexesRequest](docs/GetClientIndexesRequest.md)
 - [GetClientIndexesResponse](docs/GetClientIndexesResponse.md)
 - [GetClientPurchasesRequest](docs/GetClientPurchasesRequest.md)
 - [GetClientPurchasesResponse](docs/GetClientPurchasesResponse.md)
 - [GetClientReferralTypesRequest](docs/GetClientReferralTypesRequest.md)
 - [GetClientReferralTypesResponse](docs/GetClientReferralTypesResponse.md)
 - [GetClientServicesRequest](docs/GetClientServicesRequest.md)
 - [GetClientServicesResponse](docs/GetClientServicesResponse.md)
 - [GetClientVisitsRequest](docs/GetClientVisitsRequest.md)
 - [GetClientVisitsResponse](docs/GetClientVisitsResponse.md)
 - [GetClientsRequest](docs/GetClientsRequest.md)
 - [GetClientsResponse](docs/GetClientsResponse.md)
 - [GetContactLogsRequest](docs/GetContactLogsRequest.md)
 - [GetContactLogsResponse](docs/GetContactLogsResponse.md)
 - [GetContractsRequest](docs/GetContractsRequest.md)
 - [GetContractsResponse](docs/GetContractsResponse.md)
 - [GetCrossRegionalClientAssociationsRequest](docs/GetCrossRegionalClientAssociationsRequest.md)
 - [GetCrossRegionalClientAssociationsResponse](docs/GetCrossRegionalClientAssociationsResponse.md)
 - [GetCustomClientFieldsRequest](docs/GetCustomClientFieldsRequest.md)
 - [GetCustomClientFieldsResponse](docs/GetCustomClientFieldsResponse.md)
 - [GetCustomPaymentMethodsRequest](docs/GetCustomPaymentMethodsRequest.md)
 - [GetCustomPaymentMethodsResponse](docs/GetCustomPaymentMethodsResponse.md)
 - [GetEnrollmentsRequest](docs/GetEnrollmentsRequest.md)
 - [GetEnrollmentsResponse](docs/GetEnrollmentsResponse.md)
 - [GetGiftCardResponse](docs/GetGiftCardResponse.md)
 - [GetGiftCardsRequest](docs/GetGiftCardsRequest.md)
 - [GetLocationsRequest](docs/GetLocationsRequest.md)
 - [GetLocationsResponse](docs/GetLocationsResponse.md)
 - [GetPackagesRequest](docs/GetPackagesRequest.md)
 - [GetPackagesResponse](docs/GetPackagesResponse.md)
 - [GetProductsRequest](docs/GetProductsRequest.md)
 - [GetProductsResponse](docs/GetProductsResponse.md)
 - [GetProgramsRequest](docs/GetProgramsRequest.md)
 - [GetProgramsResponse](docs/GetProgramsResponse.md)
 - [GetRequiredClientFieldsResponse](docs/GetRequiredClientFieldsResponse.md)
 - [GetResourcesRequest](docs/GetResourcesRequest.md)
 - [GetResourcesResponse](docs/GetResourcesResponse.md)
 - [GetSalesRequest](docs/GetSalesRequest.md)
 - [GetSalesResponse](docs/GetSalesResponse.md)
 - [GetScheduleItemsRequest](docs/GetScheduleItemsRequest.md)
 - [GetScheduleItemsResponse](docs/GetScheduleItemsResponse.md)
 - [GetServicesRequest](docs/GetServicesRequest.md)
 - [GetServicesResponse](docs/GetServicesResponse.md)
 - [GetSessionTypesRequest](docs/GetSessionTypesRequest.md)
 - [GetSessionTypesResponse](docs/GetSessionTypesResponse.md)
 - [GetSitesRequest](docs/GetSitesRequest.md)
 - [GetSitesResponse](docs/GetSitesResponse.md)
 - [GetStaffAppointmentsRequest](docs/GetStaffAppointmentsRequest.md)
 - [GetStaffAppointmentsResponse](docs/GetStaffAppointmentsResponse.md)
 - [GetStaffPermissionsRequest](docs/GetStaffPermissionsRequest.md)
 - [GetStaffPermissionsResponse](docs/GetStaffPermissionsResponse.md)
 - [GetStaffRequest](docs/GetStaffRequest.md)
 - [GetStaffResponse](docs/GetStaffResponse.md)
 - [GetTimeClockRequest](docs/GetTimeClockRequest.md)
 - [GetTimeClockResponse](docs/GetTimeClockResponse.md)
 - [GetWaitlistEntriesRequest](docs/GetWaitlistEntriesRequest.md)
 - [GetWaitlistEntriesResponse](docs/GetWaitlistEntriesResponse.md)
 - [GiftCard](docs/GiftCard.md)
 - [GiftCardLayout](docs/GiftCardLayout.md)
 - [IssueRequest](docs/IssueRequest.md)
 - [IssueResponse](docs/IssueResponse.md)
 - [Level](docs/Level.md)
 - [Liability](docs/Liability.md)
 - [Location](docs/Location.md)
 - [MembershipTypeRestriction](docs/MembershipTypeRestriction.md)
 - [ModelClass](docs/ModelClass.md)
 - [Package](docs/Package.md)
 - [PaginationResponse](docs/PaginationResponse.md)
 - [Product](docs/Product.md)
 - [Program](docs/Program.md)
 - [ProspectStage](docs/ProspectStage.md)
 - [PurchaseContractRequest](docs/PurchaseContractRequest.md)
 - [PurchaseContractResponse](docs/PurchaseContractResponse.md)
 - [PurchaseGiftCardRequest](docs/PurchaseGiftCardRequest.md)
 - [PurchaseGiftCardResponse](docs/PurchaseGiftCardResponse.md)
 - [PurchasedItem](docs/PurchasedItem.md)
 - [Relationship](docs/Relationship.md)
 - [RemoveClientFromClassRequest](docs/RemoveClientFromClassRequest.md)
 - [RemoveClientFromClassResponse](docs/RemoveClientFromClassResponse.md)
 - [RemoveFromWaitlistRequest](docs/RemoveFromWaitlistRequest.md)
 - [RemoveFromWaitlistResponse](docs/RemoveFromWaitlistResponse.md)
 - [Resource](docs/Resource.md)
 - [Sale](docs/Sale.md)
 - [SalePayment](docs/SalePayment.md)
 - [SalesRep](docs/SalesRep.md)
 - [SendPasswordResetEmailRequest](docs/SendPasswordResetEmailRequest.md)
 - [Service](docs/Service.md)
 - [SessionType](docs/SessionType.md)
 - [Site](docs/Site.md)
 - [Size](docs/Size.md)
 - [Staff](docs/Staff.md)
 - [StaffPermissionGroup](docs/StaffPermissionGroup.md)
 - [StoredCardInfo](docs/StoredCardInfo.md)
 - [SubstituteClassTeacherRequest](docs/SubstituteClassTeacherRequest.md)
 - [SubstituteClassTeacherResponse](docs/SubstituteClassTeacherResponse.md)
 - [SubstituteTeacherClass](docs/SubstituteTeacherClass.md)
 - [TimeCardEvent](docs/TimeCardEvent.md)
 - [TimeClockReport](docs/TimeClockReport.md)
 - [Unavailability](docs/Unavailability.md)
 - [UpcomingAutopayEvent](docs/UpcomingAutopayEvent.md)
 - [UpdateAppointmentRequest](docs/UpdateAppointmentRequest.md)
 - [UpdateAppointmentResponse](docs/UpdateAppointmentResponse.md)
 - [UpdateClientRequest](docs/UpdateClientRequest.md)
 - [UpdateClientResponse](docs/UpdateClientResponse.md)
 - [UpdateClientServiceRequest](docs/UpdateClientServiceRequest.md)
 - [UpdateClientServiceResponse](docs/UpdateClientServiceResponse.md)
 - [UpdateClientVisitRequest](docs/UpdateClientVisitRequest.md)
 - [UpdateClientVisitResponse](docs/UpdateClientVisitResponse.md)
 - [UpdateContactLogComment](docs/UpdateContactLogComment.md)
 - [UpdateContactLogRequest](docs/UpdateContactLogRequest.md)
 - [UpdateContactLogType](docs/UpdateContactLogType.md)
 - [UploadClientDocumentRequest](docs/UploadClientDocumentRequest.md)
 - [UploadClientDocumentResponse](docs/UploadClientDocumentResponse.md)
 - [UploadClientPhotoRequest](docs/UploadClientPhotoRequest.md)
 - [UploadClientPhotoResponse](docs/UploadClientPhotoResponse.md)
 - [User](docs/User.md)
 - [Visit](docs/Visit.md)
 - [WaitlistEntry](docs/WaitlistEntry.md)


## Documentation For Authorization


## API-Key

- **Type**: API key
- **API key parameter name**: API-Key
- **Location**: HTTP header


## Author



